/*!
 * © 2017 David Vines
 *
 * Creative Commons License
 *
 * This work is licensed under a Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License.
 */
/* exported EnGardeDate */

function EnGardeDate(str) {
    var monthName = str.split(' ')[0];
    
    this._month = undefined;
    for(var i=0; i<EnGardeDate.months.length; i++) {
        if (monthName === EnGardeDate.months[i]) {
            this._month = i;
            break;
        }
    }
    
    this._year = Number(str.split(' ')[1]);

    if (this._month === undefined) {
        this._month = 0;
        this._year = 1624;
    }
}
EnGardeDate.months = ['janvier', 'février', 'mars', 'avril', 'mai', 'juin', 'juillet', 'août', 'septembre', 'octobre', 'novembre', 'décembre'];

EnGardeDate.prototype.next = function() {
    this._month++;
    if (this._month === 12) {
        this._month = 0;
        this._year++;
    }
    return this;
};
EnGardeDate.prototype.previous = function() {
    this._month--;
    if (this._month === -1){
        this._month = 11;
        this._year--;
    }
    return this;
};
EnGardeDate.prototype.toString = function() {
    return EnGardeDate.months[this._month] + " " + String(this._year);
};