/*!
 * © 2017 David Vines
 *
 * Creative Commons License
 *
 * This work is licensed under a Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License.
 */
/* globals EnGardeDate, alert */

document.getElementById("gamemonthprevious").onclick = function() {
    try {
        var date = (new EnGardeDate(document.getElementById("newgamemonth").value)).previous();
        document.getElementById("newgamemonth").value = date.toString();
        document.getElementById("gamemonth").textContent = date.toString();
    } catch (e) {
        if (e.stack) {
            alert(e + "\n\nStack Trace\n-----------------\n" + e.stack);
        } else {
            alert(e);
        }
    }
    return false;
};
document.getElementById("gamemonthnext").onclick = function() {
    try {
        var date = (new EnGardeDate(document.getElementById("newgamemonth").value)).next();
        document.getElementById("newgamemonth").value = date.toString();
        document.getElementById("gamemonth").textContent = date.toString();
    } catch (e) {
        if (e.stack) {
            alert(e + "\n\nStack Trace\n-----------------\n" + e.stack);
        } else {
            alert(e);
        }
    }
    return false;
};

document.getElementById("gamemonth").textContent = document.getElementById("newgamemonth").value;