/*!
 * © 2017 David Vines
 *
 * Creative Commons License
 *
 * This work is licensed under a Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License.
 */
/* globals alert */
/* exported mistressExpense, classof, type */

function classof(o) {
    return Object.prototype.toString.call(o).slice(8,-1);
}

function type(o) {
    if (o === null) {
        return "null";
    }
    if (o !== o) {
        return "NaN";
    }
    var t = typeof o;
    if (t !== "Object") {
        return t;
    }
    var c = classof(o);
    if (c !== "Object") {
        return c;
    }
    if (o.constructor &&
        typeof o.constructor === "function") {
        var n = o.constructor.getName();
        if (n) {
            return n;
        }
    }
    return "Object";
}